import platform
from typing import NamedTuple

class SystemInformations(NamedTuple):
    """System Informations Data Structure"""
    hostname: str
    arch: str
    os: str
    release: str

def sysinfos_create():
    global SYSINFOS
    uname = platform.uname()
    SYSINFOS=SystemInformations(
        uname.node,
        uname.machine,
        uname.system,
        uname.release
    )
    print(SYSINFOS)
    

def main():
    print("It works!")
    sysinfos_create()
